Find QR
curl --request GET \
--url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/qrs/{qr-id} \
--header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>'import requests
url = "https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/qrs/{qr-id}"
headers = {"X-SFPY-AGGREGATOR-SECRET-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-SFPY-AGGREGATOR-SECRET-KEY': '<api-key>'}};
fetch('https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/qrs/{qr-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "v1",
"data": {
"qr_code": {
"id": "47",
"token": "qr_e46d5205-1e40-4d5f-943c-af90bd0d5670",
"aggregator_merchant_id": "am_749fe6ce-91f9-4f6a-9df2-ec6ae9f75a30",
"type": "STATIC",
"code": "00020101021128760032749fe6ce91f94f6a9df2ec6ae9f75a300108SAFEPAYZ0224PK84HABB01640300501285945204563353035865802PK5912Lazer Sports6007Karachi62480520D19DKFNMVCT2M8CERIJ00720D19DKFNMVCT2M8CERIIG89360032e46d52051e404d5f943caf90bd0d567063040DCD",
"terminal_label": "D19DKFNMVCT2M8CERIIG",
"reference_label": "D19DKFNMVCT2M8CERIJ0",
"is_deleted": false,
"created_at": "2025-06-18T15:24:46Z",
"code_details": {
"payload_format_indicator": "01",
"point_of_initiation_method": "11",
"merchant_category_code": "5633",
"transaction_currency": "586",
"transaction_amount": "",
"country_code": "PK",
"merchant_name": "Lazer Sports",
"merchant_city": "Karachi",
"postal_code": "",
"tip_or_convenience_indicator": "",
"convenience_fixed_fee": "",
"convenience_percentage_fee": "",
"crc": "0DCD",
"additional_data_field_template": {
"bill_number": "",
"store_label": "",
"loyalty_label": "",
"customer_label": "",
"reference_label": "D19DKFNMVCT2M8CERIJ0",
"terminal_label": "D19DKFNMVCT2M8CERIIG",
"transaction_purpose": "",
"additional_consumer_request": "",
"country_code": "",
"rfu_for_emvco": [],
"payment_system_specific": []
},
"merchant_information_language_template": null,
"merchant_account_information": [
{
"tag": "28",
"value": {
"globally_unique_identifier": {
"tag": "00",
"value": "749fe6ce91f94f6a9df2ec6ae9f75a30"
},
"payment_network_specific": [
{
"tag": "01",
"value": "SAFEPAYZ"
},
{
"tag": "02",
"value": "PK84HABB0164030050128594"
}
]
}
}
],
"rfu_for_emvco": [],
"unreserved_templates": [
{
"tag": "89",
"value": {
"globally_unique_identifier": {
"tag": "00",
"value": "e46d52051e404d5f943caf90bd0d5670"
},
"context_specific_data": []
}
}
]
}
}
}
}
QRs
Find QR
Explore a QR code in detail
GET
/
v1
/
aggregators
/
{raast-aggregator-id}
/
qrs
/
{qr-id}
Find QR
Authorizations
Path Parameters
The unique identifier for the aggregator
Example:
"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"
The unique identifier for the QR code
Example:
"qr_7e26f9be-f59d-4025-8e17-9fc398d16230"
Was this page helpful?
⌘I